Bug 630314

Summary: [evol][ml_IN] - Translation Short-cuts are inconsistent
Product: Red Hat Enterprise Linux 6 Reporter: A S Alam <aalam>
Component: evolutionAssignee: Ankit Patel <ankit>
Status: CLOSED ERRATA QA Contact: QE Internationalization Bugs <qe-i18n-bugs>
Severity: medium Docs Contact:
Priority: low    
Version: 6.1CC: apeter, eng-l10n-bugs, jkoten, lijli, lnovich, mcrha, mshao, smaitra, sradvan, tpelka
Target Milestone: rcKeywords: Translation
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: evolution-2.32.3-18.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 700789 (view as bug list) Environment:
Last Closed: 2013-11-20 23:58:31 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 700789    
Attachments:
Description Flags
Evolution Shortcut problem
none
Evolution Shortcut problem 2
none
Evolution Shortcut problem 3
none
Evolution Shortcut problem - New Mail
none
A patch to fix Malayalam (ml) translation issue for evolution
none
Evolution Set up page. Seems page is OK now with translation of short cuts
none
Some shortchuts still showing untranslated. Need confirmation if this is OK
none
Evolution IMAP set up page, seems OK, need Confirmation from LM.
none
Evolution SMTP set up page, still 1 shortcut in english, need Confirmation from LM.
none
Evolution New Mail page, Seems "Cc" is untranslated, need Confirmation from LM.
none
Patch (2) to fix remaining Malayalam (ml) translation short-cut issue for evolution none

Description A S Alam 2010-09-04 14:42:57 EDT
Created attachment 443086 [details]
Evolution Shortcut problem

Description of problem:
Evolution's shortcuts (ml_IN) are inconsistent

Version-Release number of selected component (if applicable):
evolution-2.28.3-10.el6.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. run evolution setup
2. check shortcut
3.
  
Actual results:
Those are not consistent, Few are English, many in Malayalam


Expected results:
Need to consistent, so that user can use uniform keyboard layout to use application.


Additional info:
Comment 1 A S Alam 2010-09-04 14:43:25 EDT
Created attachment 443087 [details]
Evolution Shortcut problem 2
Comment 2 A S Alam 2010-09-04 14:43:59 EDT
Created attachment 443088 [details]
Evolution Shortcut problem 3
Comment 3 A S Alam 2010-09-04 14:44:28 EDT
Created attachment 443089 [details]
Evolution Shortcut problem - New Mail
Comment 5 Matthew Barnes 2010-11-29 22:47:35 EST
I assume the localization team will be providing a patch for this?  Conditional NAK for 6.1.
Comment 6 Ani Peter 2010-12-07 07:52:10 EST
Have updated all translations in all branches including 2.28 and downstream.
Gnome 2.28 at: http://l10n.gnome.org/module/evolution/#gnome-2-28

Please let me know if anything else to be done.
Thanks!
Comment 7 Ankit Patel 2010-12-07 08:22:48 EST
Created attachment 465234 [details]
A patch to fix Malayalam (ml) translation issue for evolution

Applying this patch should fix Malayalam (ml) translation issue of evolution. Please include this patch in your next build and help me get this bug fixed.

This patch should also fix another Malayalam (ml) translation bug #630316.

Thanks!
Ankit
Comment 8 Milan Crha 2010-12-08 03:02:15 EST
Committed to sources, will be part of evolution-2.28.3-11.el6
Comment 11 Milan Crha 2011-01-17 12:09:12 EST
There were done some builds last week with this included, the latest is
evolution-2.28.3-15.el6
thus I'm moving this to Modified.
Comment 15 Satyabrata Maitra 2011-04-28 07:01:17 EDT
Tested for this bug. There are few strings and shortcuts are corrected in this new version of evolution, but still, some short-cuts are in English, and inconsistent. Screen shots attached. 

I need to make a NEED_INFO to apeter@redhat.com to confirm, although I tested and it seems some errors has been fixed, but not 100%.

Below are the screen shots attachments :
Comment 16 Satyabrata Maitra 2011-04-28 07:03:28 EDT
Created attachment 495498 [details]
Evolution Set up page. Seems page is OK now with translation of short cuts
Comment 17 Satyabrata Maitra 2011-04-28 07:04:37 EDT
Created attachment 495499 [details]
Some shortchuts still showing untranslated. Need confirmation if this is OK
Comment 18 Satyabrata Maitra 2011-04-28 07:06:05 EDT
Created attachment 495501 [details]
Evolution IMAP set up page, seems OK, need Confirmation from LM.
Comment 19 Satyabrata Maitra 2011-04-28 07:08:07 EDT
Created attachment 495502 [details]
Evolution SMTP set up page, still 1 shortcut in english, need Confirmation from LM.
Comment 20 Satyabrata Maitra 2011-04-28 07:09:57 EDT
Created attachment 495503 [details]
Evolution New Mail page, Seems "Cc" is untranslated, need Confirmation from LM.
Comment 21 Satyabrata Maitra 2011-04-28 07:12:14 EDT
Tested with the version of the Component :

evolution-debuginfo-2.28.3-24.el6 			
evolution-2.28.3-24.el6			
evolution-help-2.28.3-24.el6

RHEL6.1 Distro.
Comment 22 Satyabrata Maitra 2011-04-28 07:17:06 EDT
Hi Ani

I have tested for this bug. I need some confirmation from your side, if my observation is correct.

I have attached some screen shots above with proper description. Please confirm me whether these are correct of not.

FYI : the screen shots of the older packages with error, is also attached with this bug, by aalam. You can see those as well, to compare and know what has been fixed in the new version.

Component version where the errors are suppose to be corrected is :

evolution-2.28.3-24.el6 
evolution-debuginfo-2.28.3-24.el6      
evolution-help-2.28.3-24.el6

Please inform me asap. We need to proceed with an errata.
Comment 23 Ani Peter 2011-04-28 07:45:55 EDT
(In reply to comment #16)
> Created attachment 495498 [details]
> Evolution Set up page. Seems page is OK now with translation of short cuts

This looks okay to me as well. Thanks!
Comment 25 Satyabrata Maitra 2011-04-29 05:33:42 EDT
As per the Language Maintainer's comment #24, even if the error has been corrected and submitted, still that means the current version of the component is having error. So, I think, this bug is FAILED_QA, as of now. But, one thing to be noted, that she said this translation error is on evolution-data-server, which is not the component of this errata.

So, I am leaving it up to Matthew whether this bug is to be PASS or FAIL.
Comment 26 Ankit Patel 2011-04-29 06:11:49 EDT
Created attachment 495747 [details]
Patch (2) to fix remaining Malayalam (ml) translation short-cut issue for evolution

In my opinion this second patch (which is generated after Ani Peter submitted latest changes) should be applied in order to resolve this bug. And there should be another bug filed for evolution-data-server that's been caught recently.

Package maintainer can add this new patch as well in his next build.

Thanks!
Ankit
Comment 28 Milan Crha 2011-04-29 09:33:38 EDT
Ouch, I've a package ready for this, but I cannot commit it, as the bug is not following current check-in policy :( I get:
>   Unapproved: rhbz#630314 (rhel-6.1.0+,pm_ack+)
> *** Current checkin policy requires:
>    ((rhel-6.1.0 == + and (exception == + or blocker == +)) or
>     (rhel-6.2.0 == ? and pm_ack == +) or rhel-6.2.0 == +)
thus this requires either exception or blocker flag set.
Can someone take care of this, please?
Comment 30 RHEL Product and Program Management 2011-07-05 19:44:31 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 31 A S Alam 2012-06-11 05:51:57 EDT
request ack for 6.4
Comment 32 Milan Crha 2013-05-07 03:56:33 EDT
Devel-acking, patch attached at comment #26.
Comment 37 Milan Crha 2013-06-10 06:30:58 EDT
Comment on attachment 495747 [details]
Patch (2) to fix remaining Malayalam (ml) translation short-cut issue for evolution

I'm marking the patch as obsolete, due to evolution's rebase to 2.32.3
Comment 42 Ani Peter 2013-08-08 05:37:04 EDT
Confirm all issues reported in this bug is fixed:
https://translate.engineering.redhat.com/iteration/view/evolution/el6

Thanks
Ani
Comment 43 Milan Crha 2013-08-12 07:56:25 EDT
Translation updates applied to evolution-2.32.3-16.el6
Comment 47 errata-xmlrpc 2013-11-20 23:58:31 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html